Index: display/Delphes3DGeometry.h
===================================================================
--- display/Delphes3DGeometry.h	(revision 0ac1afd86220730c399ac9a205fa9ac568125c95)
+++ display/Delphes3DGeometry.h	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -20,6 +20,6 @@
 #define Delphes3DGeometry_h
 
+#include <map>
 #include <set>
-#include <map>
 #include <vector>
 
@@ -33,63 +33,62 @@
 // TODO: asymmetric detector
 
-class Delphes3DGeometry {
-   public:
-     Delphes3DGeometry(TGeoManager *geom = NULL, bool transp = false);
-     ~Delphes3DGeometry() {}
+class Delphes3DGeometry
+{
+public:
+  Delphes3DGeometry(TGeoManager *geom = NULL, bool transp = false);
+  ~Delphes3DGeometry() {}
 
-     void readFile(const char *filename, const char *ParticlePropagator="ParticlePropagator",
-                                         const char *TrackingEfficiency="ChargedHadronTrackingEfficiency",
-                                         const char *MuonEfficiency="MuonEfficiency",
-                                         const char *Calorimeters="Calorimeter");
+  void readFile(const char *filename, const char *ParticlePropagator = "ParticlePropagator",
+    const char *TrackingEfficiency = "ChargedHadronTrackingEfficiency",
+    const char *MuonEfficiency = "MuonEfficiency",
+    const char *Calorimeters = "Calorimeter");
 
-     void setContingency(Double_t contingency) { contingency_ = contingency; }
-     void setCaloBarrelThickness(Double_t thickness) { calo_barrel_thickness_ = thickness; }
-     void setCaloEndcapThickness(Double_t thickness) { calo_endcap_thickness_ = thickness; }
-     void setMuonSystemThickness(Double_t thickness) { muonSystem_thickn_ = thickness; }
+  void setContingency(Double_t contingency) { contingency_ = contingency; }
+  void setCaloBarrelThickness(Double_t thickness) { calo_barrel_thickness_ = thickness; }
+  void setCaloEndcapThickness(Double_t thickness) { calo_endcap_thickness_ = thickness; }
+  void setMuonSystemThickness(Double_t thickness) { muonSystem_thickn_ = thickness; }
 
-     TGeoVolume *getDetector(bool withTowers = true);
+  TGeoVolume *getDetector(bool withTowers = true);
 
-     Double_t getTrackerRadius() const { return tk_radius_; }
-     Double_t getDetectorRadius() const { return muonSystem_radius_; }
-     Double_t getTrackerHalfLength() const { return tk_length_; }
-     Double_t getDetectorHalfLength() const { return muonSystem_length_; }
-     Double_t getBField() const { return tk_Bz_; }
-     std::pair<TAxis*, TAxis*> getCaloAxes() { return std::make_pair(etaAxis_,phiAxis_); }
+  Double_t getTrackerRadius() const { return tk_radius_; }
+  Double_t getDetectorRadius() const { return muonSystem_radius_; }
+  Double_t getTrackerHalfLength() const { return tk_length_; }
+  Double_t getDetectorHalfLength() const { return muonSystem_length_; }
+  Double_t getBField() const { return tk_Bz_; }
+  std::pair<TAxis *, TAxis *> getCaloAxes() { return std::make_pair(etaAxis_, phiAxis_); }
 
-   private:
-     std::pair<Double_t, Double_t> addTracker(TGeoVolume *top);
-     std::pair<Double_t, Double_t> addCalorimeter(TGeoVolume *top, const char *name, Double_t innerBarrelRadius, Double_t innerBarrelLength, std::set< std::pair<Double_t, Int_t> >& caloBinning);
-     std::pair<Double_t, Double_t> addMuonDets(TGeoVolume *top, const char *name, Double_t innerBarrelRadius, Double_t innerBarrelLength);
-     void addCaloTowers(TGeoVolume *top, const char *name, Double_t innerBarrelRadius, Double_t innerBarrelLength, std::set< std::pair<Double_t, Int_t> >& caloBinning);
+private:
+  std::pair<Double_t, Double_t> addTracker(TGeoVolume *top);
+  std::pair<Double_t, Double_t> addCalorimeter(TGeoVolume *top, const char *name, Double_t innerBarrelRadius, Double_t innerBarrelLength, std::set<std::pair<Double_t, Int_t>> &caloBinning);
+  std::pair<Double_t, Double_t> addMuonDets(TGeoVolume *top, const char *name, Double_t innerBarrelRadius, Double_t innerBarrelLength);
+  void addCaloTowers(TGeoVolume *top, const char *name, Double_t innerBarrelRadius, Double_t innerBarrelLength, std::set<std::pair<Double_t, Int_t>> &caloBinning);
 
-   private:
+private:
+  TGeoManager *geom_;
 
-     TGeoManager *geom_;
+  TGeoMedium *vacuum_;
+  TGeoMedium *tkmed_;
+  TGeoMedium *calomed_;
+  TGeoMedium *mudetmed_;
 
-     TGeoMedium *vacuum_;
-     TGeoMedium *tkmed_;
-     TGeoMedium *calomed_;
-     TGeoMedium *mudetmed_;
+  TAxis *etaAxis_;
+  TAxis *phiAxis_;
 
-     TAxis *etaAxis_;
-     TAxis *phiAxis_;
+  Double_t contingency_;
+  Double_t calo_barrel_thickness_;
+  Double_t calo_endcap_thickness_;
+  Double_t muonSystem_thickn_;
+  Double_t muonSystem_radius_;
+  Double_t muonSystem_length_;
+  Double_t tk_radius_;
+  Double_t tk_length_;
+  Double_t tk_etamax_;
+  Double_t tk_Bz_;
 
-     Double_t contingency_;
-     Double_t calo_barrel_thickness_;
-     Double_t calo_endcap_thickness_;
-     Double_t muonSystem_thickn_;
-     Double_t muonSystem_radius_;
-     Double_t muonSystem_length_;
-     Double_t tk_radius_;
-     Double_t tk_length_;
-     Double_t tk_etamax_;
-     Double_t tk_Bz_;
+  std::vector<std::string> calorimeters_;
+  std::vector<std::string> muondets_;
 
-     std::vector<std::string> calorimeters_;
-     std::vector<std::string> muondets_;
-
-     std::map<std::string, Double_t> muonSystem_etamax_;
-     std::map<std::string, std::set< std::pair<Double_t, Int_t> > > caloBinning_;
-
+  std::map<std::string, Double_t> muonSystem_etamax_;
+  std::map<std::string, std::set<std::pair<Double_t, Int_t>>> caloBinning_;
 };
 
Index: display/DelphesBranchElement.cc
===================================================================
--- display/DelphesBranchElement.cc	(revision 0ac1afd86220730c399ac9a205fa9ac568125c95)
+++ display/DelphesBranchElement.cc	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -18,26 +18,34 @@
 
 #include "display/DelphesBranchElement.h"
-#include "classes/DelphesClasses.h"
+#include "TEveArrow.h"
 #include "TEveJetCone.h"
 #include "TEveTrack.h"
 #include "TEveTrackPropagator.h"
-#include "TEveArrow.h"
 #include "TEveVector.h"
+#include "classes/DelphesClasses.h"
 #include <iostream>
 
 // special case for calo towers
-template<> DelphesBranchElement<DelphesCaloData>::DelphesBranchElement(const char* name, TClonesArray* branch, const enum EColor color, Float_t maxPt):DelphesBranchBase(name, branch, color, maxPt) {
-    data_ = new DelphesCaloData(2);
-    data_->RefSliceInfo(0).Setup("ECAL", 0.1, kRed);
-    data_->RefSliceInfo(1).Setup("HCAL", 0.1, kBlue);
-    data_->IncDenyDestroy();
-}
-template<> void DelphesBranchElement<DelphesCaloData>::Reset() { data_->ClearTowers(); }
-template<> void DelphesBranchElement<DelphesCaloData>::ReadBranch() {
-  if(TString(GetType())=="Tower") {
+template <>
+DelphesBranchElement<DelphesCaloData>::DelphesBranchElement(const char *name, TClonesArray *branch, const enum EColor color, Float_t maxPt) :
+  DelphesBranchBase(name, branch, color, maxPt)
+{
+  data_ = new DelphesCaloData(2);
+  data_->RefSliceInfo(0).Setup("ECAL", 0.1, kRed);
+  data_->RefSliceInfo(1).Setup("HCAL", 0.1, kBlue);
+  data_->IncDenyDestroy();
+}
+template <>
+void DelphesBranchElement<DelphesCaloData>::Reset() { data_->ClearTowers(); }
+template <>
+void DelphesBranchElement<DelphesCaloData>::ReadBranch()
+{
+  if(TString(GetType()) == "Tower")
+  {
     // Loop over all towers
     TIter itTower(branch_);
     Tower *tower;
-    while((tower = (Tower *) itTower.Next())) {
+    while((tower = (Tower *)itTower.Next()))
+    {
       data_->AddTower(tower->Edges[0], tower->Edges[1], tower->Edges[2], tower->Edges[3]);
       data_->FillSlice(0, tower->Eem);
@@ -47,12 +55,16 @@
   }
 }
-template<> std::vector<TLorentzVector> DelphesBranchElement<DelphesCaloData>::GetVectors() {
+template <>
+std::vector<TLorentzVector> DelphesBranchElement<DelphesCaloData>::GetVectors()
+{
   std::vector<TLorentzVector> output;
-  if(TString(GetType())=="Tower") {
+  if(TString(GetType()) == "Tower")
+  {
     TIter itTower(branch_);
     Tower *tower;
-    while((tower = (Tower *) itTower.Next())) {
+    while((tower = (Tower *)itTower.Next()))
+    {
       TLorentzVector v;
-      v.SetPtEtaPhiM(tower->Eem+tower->Ehad,(tower->Edges[0]+tower->Edges[1])/2.,(tower->Edges[2]+tower->Edges[3])/2.,0.);
+      v.SetPtEtaPhiM(tower->Eem + tower->Ehad, (tower->Edges[0] + tower->Edges[1]) / 2., (tower->Edges[2] + tower->Edges[3]) / 2., 0.);
       output.push_back(v);
     }
@@ -62,11 +74,18 @@
 
 // special case for element lists
-template<> DelphesBranchElement<TEveElementList>::DelphesBranchElement(const char* name, TClonesArray* branch, const enum EColor color, Float_t maxPt):DelphesBranchBase(name, branch, color, maxPt) {
-    data_ = new TEveElementList(name);
-    data_->SetMainColor(color_);
-}
-template<> void DelphesBranchElement<TEveElementList>::Reset() { data_->DestroyElements(); }
-template<> void DelphesBranchElement<TEveElementList>::ReadBranch() {
-  if(TString(GetType())=="Jet") {
+template <>
+DelphesBranchElement<TEveElementList>::DelphesBranchElement(const char *name, TClonesArray *branch, const enum EColor color, Float_t maxPt) :
+  DelphesBranchBase(name, branch, color, maxPt)
+{
+  data_ = new TEveElementList(name);
+  data_->SetMainColor(color_);
+}
+template <>
+void DelphesBranchElement<TEveElementList>::Reset() { data_->DestroyElements(); }
+template <>
+void DelphesBranchElement<TEveElementList>::ReadBranch()
+{
+  if(TString(GetType()) == "Jet")
+  {
     TIter itJet(branch_);
     Jet *jet;
@@ -74,7 +93,8 @@
     // Loop over all jets
     Int_t counter = 0;
-    while((jet = (Jet *) itJet.Next())) {
+    while((jet = (Jet *)itJet.Next()))
+    {
       eveJetCone = new TEveJetCone();
-      eveJetCone->SetTitle(Form("jet [%d]: Pt=%f, Eta=%f, \nPhi=%f, M=%f",counter,jet->PT, jet->Eta, jet->Phi, jet->Mass));
+      eveJetCone->SetTitle(Form("jet [%d]: Pt=%f, Eta=%f, \nPhi=%f, M=%f", counter, jet->PT, jet->Eta, jet->Phi, jet->Mass));
       eveJetCone->SetName(Form("jet [%d]", counter++));
       eveJetCone->SetMainTransparency(60);
@@ -86,5 +106,7 @@
       data_->AddElement(eveJetCone);
     }
-  } else if(TString(GetType())=="MissingET") {
+  }
+  else if(TString(GetType()) == "MissingET")
+  {
     // MissingET as invisible track (like a photon)
     MissingET *MET;
@@ -94,10 +116,11 @@
     trkProp->SetMaxR(tkRadius_);
     trkProp->SetMaxZ(tkHalfLength_);
-    if(branch_->GetEntriesFast() > 0) {
-      MET = (MissingET*) branch_->At(0);
+    if(branch_->GetEntriesFast() > 0)
+    {
+      MET = (MissingET *)branch_->At(0);
       TParticle pb(13, 1, 0, 0, 0, 0,
-                   (tkRadius_ * MET->MET/maxPt_)*cos(MET->Phi),
-                   (tkRadius_ * MET->MET/maxPt_)*sin(MET->Phi),
-                   0., MET->MET, 0.0, 0.0, 0.0, 0.0);
+        (tkRadius_ * MET->MET / maxPt_) * cos(MET->Phi),
+        (tkRadius_ * MET->MET / maxPt_) * sin(MET->Phi),
+        0., MET->MET, 0.0, 0.0, 0.0, 0.0);
       eveMet = new TEveTrack(&pb, 0, trkProp);
       eveMet->SetName("Missing Et");
@@ -115,22 +138,29 @@
   }
 }
-template<> std::vector<TLorentzVector> DelphesBranchElement<TEveElementList>::GetVectors() {
+template <>
+std::vector<TLorentzVector> DelphesBranchElement<TEveElementList>::GetVectors()
+{
   std::vector<TLorentzVector> output;
-  if(TString(GetType())=="Jet") {
+  if(TString(GetType()) == "Jet")
+  {
     TIter itJet(branch_);
     Jet *jet;
     // Loop over all jets
-    while((jet = (Jet *) itJet.Next())) {
+    while((jet = (Jet *)itJet.Next()))
+    {
       TLorentzVector v;
       v.SetPtEtaPhiM(jet->PT, jet->Eta, jet->Phi, jet->Mass);
       output.push_back(v);
     }
-  } else if(TString(GetType())=="MissingET") {
+  }
+  else if(TString(GetType()) == "MissingET")
+  {
     TIter itMet(branch_);
     MissingET *MET;
     // Missing Et
-    while((MET = (MissingET*) itMet.Next())) {
+    while((MET = (MissingET *)itMet.Next()))
+    {
       TLorentzVector v;
-      v.SetPtEtaPhiM(MET->MET,MET->Eta,MET->Phi,0.);
+      v.SetPtEtaPhiM(MET->MET, MET->Eta, MET->Phi, 0.);
       output.push_back(v);
     }
@@ -140,5 +170,8 @@
 
 // special case for track lists
-template<> DelphesBranchElement<TEveTrackList>::DelphesBranchElement(const char* name, TClonesArray* branch, const enum EColor color, Float_t maxPt):DelphesBranchBase(name, branch, color, maxPt) {
+template <>
+DelphesBranchElement<TEveTrackList>::DelphesBranchElement(const char *name, TClonesArray *branch, const enum EColor color, Float_t maxPt) :
+  DelphesBranchBase(name, branch, color, maxPt)
+{
   data_ = new TEveTrackList(name);
   data_->SetMainColor(color_);
@@ -147,6 +180,8 @@
   data_->SetMarkerSize(0.5);
 }
-template<> void DelphesBranchElement<TEveTrackList>::SetTrackingVolume(Float_t r, Float_t l, Float_t Bz) {
-  tkRadius_ = r; 
+template <>
+void DelphesBranchElement<TEveTrackList>::SetTrackingVolume(Float_t r, Float_t l, Float_t Bz)
+{
+  tkRadius_ = r;
   tkHalfLength_ = l;
   tk_Bz_ = Bz;
@@ -156,6 +191,9 @@
   trkProp->SetMaxZ(tkHalfLength_);
 }
-template<> void DelphesBranchElement<TEveTrackList>::Reset() { data_->DestroyElements(); }
-template<> void DelphesBranchElement<TEveTrackList>::ReadBranch() {
+template <>
+void DelphesBranchElement<TEveTrackList>::Reset() { data_->DestroyElements(); }
+template <>
+void DelphesBranchElement<TEveTrackList>::ReadBranch()
+{
   TString type = GetType();
   TIter itTrack(branch_);
@@ -167,58 +205,69 @@
   trkProp->SetMaxZ(tkHalfLength_);
   GenParticle *particle;
-  if(type=="Track") { // CASE 1: TRACKS
+  if(type == "Track")
+  { // CASE 1: TRACKS
     Track *track;
-    while((track = (Track *) itTrack.Next())) {
+    while((track = (Track *)itTrack.Next()))
+    {
       TParticle pb(track->PID, 1, 0, 0, 0, 0,
-                   track->P4().Px(), track->P4().Py(),
-                   track->P4().Pz(), track->P4().E(),
-                   track->X/10.0, track->Y/10.0, track->Z/10.0, track->T/10.0);
-      eveTrack = new TEveTrack(&pb, counter, trkProp);
-      eveTrack->SetName(Form("%s [%d]", pb.GetName(), counter++));
-      eveTrack->SetStdTitle();
-      eveTrack->SetAttLineAttMarker(data_);
-      data_->AddElement(eveTrack);
-      eveTrack->SetLineColor(GetColor());
-      eveTrack->MakeTrack();
-    }
-  } else if(type=="Electron") { // CASE 2: ELECTRONS
+        track->P4().Px(), track->P4().Py(),
+        track->P4().Pz(), track->P4().E(),
+        track->X / 10.0, track->Y / 10.0, track->Z / 10.0, track->T / 10.0);
+      eveTrack = new TEveTrack(&pb, counter, trkProp);
+      eveTrack->SetName(Form("%s [%d]", pb.GetName(), counter++));
+      eveTrack->SetStdTitle();
+      eveTrack->SetAttLineAttMarker(data_);
+      data_->AddElement(eveTrack);
+      eveTrack->SetLineColor(GetColor());
+      eveTrack->MakeTrack();
+    }
+  }
+  else if(type == "Electron")
+  { // CASE 2: ELECTRONS
     Electron *electron;
-    while((electron = (Electron *) itTrack.Next())) {
-      particle = (GenParticle*) electron->Particle.GetObject();
-      TParticle pb(electron->Charge<0?11:-11, 1, 0, 0, 0, 0,
-                   electron->P4().Px(), electron->P4().Py(),
-                   electron->P4().Pz(), electron->P4().E(),
-                   particle->X/10.0, particle->Y/10.0, particle->Z/10.0, particle->T/10.0);
-      eveTrack = new TEveTrack(&pb, counter, trkProp);
-      eveTrack->SetName(Form("%s [%d]", pb.GetName(), counter++));
-      eveTrack->SetStdTitle();
-      eveTrack->SetAttLineAttMarker(data_);
-      data_->AddElement(eveTrack);
-      eveTrack->SetLineColor(GetColor());
-      eveTrack->MakeTrack();
-    }
-  } else if(type=="Muon") { // CASE 3: MUONS
+    while((electron = (Electron *)itTrack.Next()))
+    {
+      particle = (GenParticle *)electron->Particle.GetObject();
+      TParticle pb(electron->Charge < 0 ? 11 : -11, 1, 0, 0, 0, 0,
+        electron->P4().Px(), electron->P4().Py(),
+        electron->P4().Pz(), electron->P4().E(),
+        particle->X / 10.0, particle->Y / 10.0, particle->Z / 10.0, particle->T / 10.0);
+      eveTrack = new TEveTrack(&pb, counter, trkProp);
+      eveTrack->SetName(Form("%s [%d]", pb.GetName(), counter++));
+      eveTrack->SetStdTitle();
+      eveTrack->SetAttLineAttMarker(data_);
+      data_->AddElement(eveTrack);
+      eveTrack->SetLineColor(GetColor());
+      eveTrack->MakeTrack();
+    }
+  }
+  else if(type == "Muon")
+  { // CASE 3: MUONS
     Muon *muon;
-    while((muon = (Muon *) itTrack.Next())) {
-      particle = (GenParticle*) muon->Particle.GetObject();
-      TParticle pb(muon->Charge<0?13:-13, 1, 0, 0, 0, 0,
-                   muon->P4().Px(), muon->P4().Py(),
-                   muon->P4().Pz(), muon->P4().E(),
-                   particle->X/10.0, particle->Y/10.0, particle->Z/10.0, particle->T/10.0);
-      eveTrack = new TEveTrack(&pb, counter, trkProp);
-      eveTrack->SetName(Form("%s [%d]", pb.GetName(), counter++));
-      eveTrack->SetStdTitle();
-      eveTrack->SetAttLineAttMarker(data_);
-      data_->AddElement(eveTrack);
-      eveTrack->SetLineColor(GetColor());
-      eveTrack->MakeTrack();
-    }
-  } else if(type=="Photon") { // CASE 4: PHOTONS
+    while((muon = (Muon *)itTrack.Next()))
+    {
+      particle = (GenParticle *)muon->Particle.GetObject();
+      TParticle pb(muon->Charge < 0 ? 13 : -13, 1, 0, 0, 0, 0,
+        muon->P4().Px(), muon->P4().Py(),
+        muon->P4().Pz(), muon->P4().E(),
+        particle->X / 10.0, particle->Y / 10.0, particle->Z / 10.0, particle->T / 10.0);
+      eveTrack = new TEveTrack(&pb, counter, trkProp);
+      eveTrack->SetName(Form("%s [%d]", pb.GetName(), counter++));
+      eveTrack->SetStdTitle();
+      eveTrack->SetAttLineAttMarker(data_);
+      data_->AddElement(eveTrack);
+      eveTrack->SetLineColor(GetColor());
+      eveTrack->MakeTrack();
+    }
+  }
+  else if(type == "Photon")
+  { // CASE 4: PHOTONS
     Photon *photon;
-    while((photon = (Photon *) itTrack.Next())) {
+    while((photon = (Photon *)itTrack.Next()))
+    {
       TParticle pb(22, 1, 0, 0, 0, 0,
-                   photon->P4().Px(), photon->P4().Py(),
-                   photon->P4().Pz(), photon->P4().E(),
-                   0.0, 0.0, 0.0, 0.0);
+        photon->P4().Px(), photon->P4().Py(),
+        photon->P4().Pz(), photon->P4().E(),
+        0.0, 0.0, 0.0, 0.0);
       eveTrack = new TEveTrack(&pb, counter, trkProp);
       eveTrack->SetName(Form("%s [%d]", pb.GetName(), counter++));
@@ -230,52 +279,71 @@
       eveTrack->MakeTrack();
     }
-  } else if(type=="GenParticle") { // CASE 5: GENPARTICLES
+  }
+  else if(type == "GenParticle")
+  { // CASE 5: GENPARTICLES
     GenParticle *particle;
-    while((particle = (GenParticle *) itTrack.Next())) {
+    while((particle = (GenParticle *)itTrack.Next()))
+    {
       if(particle->Status != 1) continue;
       TParticle pb(particle->PID, particle->Status, particle->M1, particle->M2, particle->D1, particle->D2,
-                   particle->P4().Px(), particle->P4().Py(),
-                   particle->P4().Pz(), particle->P4().E(),
-                   particle->X/10.0, particle->Y/10.0, particle->Z/10.0, particle->T/10.0);
-      eveTrack = new TEveTrack(&pb, counter, trkProp);
-      eveTrack->SetName(Form("%s [%d]", pb.GetName(), counter++));
-      eveTrack->SetStdTitle();
-      eveTrack->SetAttLineAttMarker(data_);
-      data_->AddElement(eveTrack);
-      eveTrack->SetLineColor(GetColor());
-      if(particle->Charge==0) eveTrack->SetLineStyle(7);
-      eveTrack->MakeTrack();
-    }
-  }
-}
-template<> std::vector<TLorentzVector> DelphesBranchElement<TEveTrackList>::GetVectors() {
+        particle->P4().Px(), particle->P4().Py(),
+        particle->P4().Pz(), particle->P4().E(),
+        particle->X / 10.0, particle->Y / 10.0, particle->Z / 10.0, particle->T / 10.0);
+      eveTrack = new TEveTrack(&pb, counter, trkProp);
+      eveTrack->SetName(Form("%s [%d]", pb.GetName(), counter++));
+      eveTrack->SetStdTitle();
+      eveTrack->SetAttLineAttMarker(data_);
+      data_->AddElement(eveTrack);
+      eveTrack->SetLineColor(GetColor());
+      if(particle->Charge == 0) eveTrack->SetLineStyle(7);
+      eveTrack->MakeTrack();
+    }
+  }
+}
+template <>
+std::vector<TLorentzVector> DelphesBranchElement<TEveTrackList>::GetVectors()
+{
   std::vector<TLorentzVector> output;
   TString type = GetType();
   TIter itTrack(branch_);
-  if(type=="Track") { // CASE 1: TRACKS
+  if(type == "Track")
+  { // CASE 1: TRACKS
     Track *track;
-    while((track = (Track *) itTrack.Next())) {
+    while((track = (Track *)itTrack.Next()))
+    {
       output.push_back(track->P4());
     }
-  } else if(type=="Electron") { // CASE 2: ELECTRONS
+  }
+  else if(type == "Electron")
+  { // CASE 2: ELECTRONS
     Electron *electron;
-    while((electron = (Electron *) itTrack.Next())) {
+    while((electron = (Electron *)itTrack.Next()))
+    {
       output.push_back(electron->P4());
     }
-  } else if(type=="Muon") { // CASE 3: MUONS
+  }
+  else if(type == "Muon")
+  { // CASE 3: MUONS
     Muon *muon;
-    while((muon = (Muon *) itTrack.Next())) {
+    while((muon = (Muon *)itTrack.Next()))
+    {
       output.push_back(muon->P4());
     }
-  } else if(type=="Photon") { // CASE 4: PHOTONS
+  }
+  else if(type == "Photon")
+  { // CASE 4: PHOTONS
     Photon *photon;
-    while((photon = (Photon *) itTrack.Next())) {
+    while((photon = (Photon *)itTrack.Next()))
+    {
       output.push_back(photon->P4());
     }
-  } else if(type=="GenParticle") { // CASE 5: GENPARTICLES
+  }
+  else if(type == "GenParticle")
+  { // CASE 5: GENPARTICLES
     GenParticle *particle;
-    while((particle = (GenParticle *) itTrack.Next())) {
+    while((particle = (GenParticle *)itTrack.Next()))
+    {
       if(particle->Status != 1) continue;
-        output.push_back(particle->P4());
+      output.push_back(particle->P4());
     }
   }
Index: display/DelphesBranchElement.h
===================================================================
--- display/DelphesBranchElement.h	(revision 0ac1afd86220730c399ac9a205fa9ac568125c95)
+++ display/DelphesBranchElement.h	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -20,69 +20,87 @@
 #define DelphesBranchElement_h
 
+#include "TClass.h"
+#include "TClonesArray.h"
 #include "TColor.h"
+#include "TEveElement.h"
+#include "TEveTrack.h"
 #include "TString.h"
-#include "TClonesArray.h"
-#include "TClass.h"
+#include "display/DelphesCaloData.h"
 #include <exception>
 #include <iostream>
-#include "display/DelphesCaloData.h"
-#include "TEveElement.h"
-#include "TEveTrack.h"
 
 // virtual class to represent objects from a Delphes-tree branch
 class DelphesBranchBase
 {
-  public:
-    DelphesBranchBase(const char* name="", TClonesArray* branch=NULL, const enum EColor color=kBlack, Float_t maxPt=50.):name_(name),maxPt_(maxPt),branch_(branch),color_(color) {}
-    virtual ~DelphesBranchBase() {}
-    const char* GetName() const { return (const char*)name_; }
-    const char* GetType() const { return branch_ ? branch_->GetClass()->GetName() : "None"; }
-    virtual const char* GetClassName() = 0;
-    enum EColor GetColor() const { return color_; }
-    virtual void Reset() = 0;
-    virtual void SetTrackingVolume(Float_t r, Float_t l, Float_t Bz=0.) { tkRadius_ = r; tkHalfLength_ = l; tk_Bz_ = Bz; }
-    virtual void ReadBranch() = 0;
-    virtual std::vector<TLorentzVector> GetVectors() = 0;
+public:
+  DelphesBranchBase(const char *name = "", TClonesArray *branch = NULL, const enum EColor color = kBlack, Float_t maxPt = 50.) :
+    name_(name), maxPt_(maxPt), branch_(branch), color_(color) {}
+  virtual ~DelphesBranchBase() {}
+  const char *GetName() const { return (const char *)name_; }
+  const char *GetType() const { return branch_ ? branch_->GetClass()->GetName() : "None"; }
+  virtual const char *GetClassName() = 0;
+  enum EColor GetColor() const { return color_; }
+  virtual void Reset() = 0;
+  virtual void SetTrackingVolume(Float_t r, Float_t l, Float_t Bz = 0.)
+  {
+    tkRadius_ = r;
+    tkHalfLength_ = l;
+    tk_Bz_ = Bz;
+  }
+  virtual void ReadBranch() = 0;
+  virtual std::vector<TLorentzVector> GetVectors() = 0;
 
-  protected:
-    TString name_;
-    Float_t maxPt_;
-    TClonesArray* branch_;
-    const enum EColor color_;
-    Float_t tkRadius_,tkHalfLength_, tk_Bz_;
+protected:
+  TString name_;
+  Float_t maxPt_;
+  TClonesArray *branch_;
+  const enum EColor color_;
+  Float_t tkRadius_, tkHalfLength_, tk_Bz_;
 };
 
 // concrete implementations. EveContainer can be a TrackList, ElementList or CaloData.
-template<typename EveContainer> class DelphesBranchElement: public DelphesBranchBase
+template <typename EveContainer>
+class DelphesBranchElement: public DelphesBranchBase
 {
-  public:
-    // constructor
-    DelphesBranchElement(const char* name="", TClonesArray* branch=NULL, const enum EColor color=kBlack, Float_t maxPt=50.):DelphesBranchBase(name, branch, color, maxPt) {
-      throw std::exception();
-    }
+public:
+  // constructor
+  DelphesBranchElement(const char *name = "", TClonesArray *branch = NULL, const enum EColor color = kBlack, Float_t maxPt = 50.) :
+    DelphesBranchBase(name, branch, color, maxPt)
+  {
+    throw std::exception();
+  }
 
-    // destructor
-    virtual ~DelphesBranchElement() { delete data_; }
+  // destructor
+  virtual ~DelphesBranchElement() { delete data_; }
 
-    // get the container (ElementList, TrackList, or CaloData)
-    EveContainer* GetContainer() { return data_; }
+  // get the container (ElementList, TrackList, or CaloData)
+  EveContainer *GetContainer() { return data_; }
 
-    // tracking volume
-    virtual void SetTrackingVolume(Float_t r, Float_t l, Float_t Bz=0.) { tkRadius_ = r; tkHalfLength_ = l; tk_Bz_ = Bz; }
+  // tracking volume
+  virtual void SetTrackingVolume(Float_t r, Float_t l, Float_t Bz = 0.)
+  {
+    tkRadius_ = r;
+    tkHalfLength_ = l;
+    tk_Bz_ = Bz;
+  }
 
-    // resets the collection (before moving to the next event)
-    virtual void Reset() {};
+  // resets the collection (before moving to the next event)
+  virtual void Reset(){};
 
-    // template class name
-    virtual const char* GetClassName() { return data_->ClassName(); }
+  // template class name
+  virtual const char *GetClassName() { return data_->ClassName(); }
 
-    // read the branch and fill elements for display
-    virtual void ReadBranch() {}
+  // read the branch and fill elements for display
+  virtual void ReadBranch() {}
 
-    // return the vector for all elements
-    virtual std::vector<TLorentzVector> GetVectors() { std::vector<TLorentzVector> v; return v; }
+  // return the vector for all elements
+  virtual std::vector<TLorentzVector> GetVectors()
+  {
+    std::vector<TLorentzVector> v;
+    return v;
+  }
 
-  private:
-    EveContainer* data_;
+private:
+  EveContainer *data_;
 };
 
@@ -90,21 +108,34 @@
 
 // special case for calo towers
-template<> DelphesBranchElement<DelphesCaloData>::DelphesBranchElement(const char* name, TClonesArray* branch, const enum EColor color, Float_t maxPt);
-template<> void DelphesBranchElement<DelphesCaloData>::Reset();
-template<> void DelphesBranchElement<DelphesCaloData>::ReadBranch();
-template<> std::vector<TLorentzVector> DelphesBranchElement<DelphesCaloData>::GetVectors();
+template <>
+DelphesBranchElement<DelphesCaloData>::DelphesBranchElement(const char *name, TClonesArray *branch, const enum EColor color, Float_t maxPt);
+template <>
+void DelphesBranchElement<DelphesCaloData>::Reset();
+template <>
+void DelphesBranchElement<DelphesCaloData>::ReadBranch();
+template <>
+std::vector<TLorentzVector> DelphesBranchElement<DelphesCaloData>::GetVectors();
 
 // special case for element lists
-template<> DelphesBranchElement<TEveElementList>::DelphesBranchElement(const char* name, TClonesArray* branch, const enum EColor color, Float_t maxPt);
-template<> void DelphesBranchElement<TEveElementList>::Reset();
-template<> void DelphesBranchElement<TEveElementList>::ReadBranch();
-template<> std::vector<TLorentzVector> DelphesBranchElement<TEveElementList>::GetVectors();
+template <>
+DelphesBranchElement<TEveElementList>::DelphesBranchElement(const char *name, TClonesArray *branch, const enum EColor color, Float_t maxPt);
+template <>
+void DelphesBranchElement<TEveElementList>::Reset();
+template <>
+void DelphesBranchElement<TEveElementList>::ReadBranch();
+template <>
+std::vector<TLorentzVector> DelphesBranchElement<TEveElementList>::GetVectors();
 
 // special case for track lists
-template<> DelphesBranchElement<TEveTrackList>::DelphesBranchElement(const char* name, TClonesArray* branch, const enum EColor color, Float_t maxPt);
-template<> void DelphesBranchElement<TEveTrackList>::SetTrackingVolume(Float_t r, Float_t l, Float_t Bz);
-template<> void DelphesBranchElement<TEveTrackList>::Reset();
-template<> void DelphesBranchElement<TEveTrackList>::ReadBranch();
-template<> std::vector<TLorentzVector> DelphesBranchElement<TEveTrackList>::GetVectors();
+template <>
+DelphesBranchElement<TEveTrackList>::DelphesBranchElement(const char *name, TClonesArray *branch, const enum EColor color, Float_t maxPt);
+template <>
+void DelphesBranchElement<TEveTrackList>::SetTrackingVolume(Float_t r, Float_t l, Float_t Bz);
+template <>
+void DelphesBranchElement<TEveTrackList>::Reset();
+template <>
+void DelphesBranchElement<TEveTrackList>::ReadBranch();
+template <>
+std::vector<TLorentzVector> DelphesBranchElement<TEveTrackList>::GetVectors();
 
 #endif // CINT, CLING
